
package de.ivu.elect.business.stimmeingabe.control;

import de.ivu.elect.business.exchange.control.AbstractExchangeContext;
import de.ivu.elect.business.wahl.entity.Wahldurchfuehrung;

import java.io.Serializable;

public class StimmeingabeExportContext extends AbstractExchangeContext implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Wahldurchfuehrung wahldurchfuehrung;

  private final boolean nurJeweilsLetztenEingangProGebiet;
  private final boolean nurEingangsartenVonWahl; //ELECTKOM-3327

  public StimmeingabeExportContext(Wahldurchfuehrung wahldurchfuehrung, boolean nurJeweilsLetztenEingangProGebiet, boolean nurEingangsartenVonWahl) {
    this.wahldurchfuehrung = wahldurchfuehrung;
    this.nurJeweilsLetztenEingangProGebiet = nurJeweilsLetztenEingangProGebiet;
    this.nurEingangsartenVonWahl = nurEingangsartenVonWahl;
  }

  public Wahldurchfuehrung getWahldurchfuehrung() {
    return wahldurchfuehrung;
  }

  public boolean isNurJeweilsLetztenEingangProGebiet() {
    return nurJeweilsLetztenEingangProGebiet;
  }

  public boolean isNurEingangsartenVonWahl() {
    return nurEingangsartenVonWahl;
  }

  @Override
  public String toString() {
    return "StimmeingabeExportContext{" +
        "wahldurchfuehrung=" + wahldurchfuehrung +
        ", nurJeweilsLetztenEingangProGebiet=" + nurJeweilsLetztenEingangProGebiet +
        ", nurEingangsartenVonWahl=" + nurEingangsartenVonWahl +
        ", contextParameters=" + getContextParameters() +
        "} " + super.toString();
  }


}
